Set version tag
PUT
/v1/ns/{nsid}/config/{version}/tag
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config/example/tag';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"tag":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config/example/tag \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "tag": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
version
required
string
Config version: ULID, ‘latest’, ‘running’, or a tag name
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
tag
required
Pattern: [A-Za-z0-9._:/-]+
string
Examplegenerated
{ "tag": "example"}Responses
Section titled “Responses”Tag set
default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}